from pydantic import BaseModel
from datetime import datetime

# XXX Refactor using SQLModel to avoid duplication of model data

class Task(BaseModel):
    id : int
    url: str
    domain: str
    check: str
    expected: str
    selected_at: datetime | None
    selected_by : str | None

    class Config:
        from_attributes = True
